# Speech to Image

## Pi Setup

https://forums.raspberrypi.com/viewtopic.php?t=330358

https://learn.adafruit.com/adafruit-i2s-mems-microphone-breakout/raspberry-pi-wiring-test

https://github.com/alphacep/vosk-server

```sudo apt install python3-pip git python3-pyaudio vlc```

```sudo pip3 install sounddevice aiohttp aiofiles python-vlc termcolor vosk websockets```

```sudo docker-compose up -d vosk```

## Image Server

https://huggingface.co/CompVis/stable-diffusion-v1-4

https://discuss.pytorch.org/t/need-help-trouble-with-cuda-capability-sm-86/120235/38

```
distribution=$(. /etc/os-release;echo $ID$VERSION_ID) 
&& curl -s -L https://nvidia.github.io/nvidia-docker/gpgkey | sudo apt-key add - 
&& curl -s -L https://nvidia.github.io/nvidia-docker/$distribution/nvidia-docker.list | sudo tee /etc/apt/sources.list.d/nvidia-docker.list
```

```
sudo apt-get update
sudo apt-get install -y nvidia-docker2
```

```sudo docker-compose up -d --build imageserver```
